Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-29-02, 02:28 AM   #1
shosking
Guest
 
Posts: n/a
Default gcc

In the README.txt file, for installing nvidia drivers, it says that you must install the srpms with the same gcc --version as that was used to compile the Kernel. I have a newer version and was wondering if I must remove the new version, and download the old version (is this possible) or is there some other way to rpm with the old version of gcc.

any thoughts on this?
cheers,
  Reply With Quote
Old 07-29-02, 02:53 AM   #2
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default

There's a setting that can disable that GCC error the nvidia makefiles will give but that is not recommended. I heard several cases where this caused a lot of strange problems, so I would recommend you to use the "old" gcc for it.
Thunderbird is offline   Reply With Quote
Old 07-29-02, 02:59 AM   #3
shosking
Guest
 
Posts: n/a
Default

thanks thunderbird!
ah, does this mean that i should reinstall an older gcc rpm?
  Reply With Quote
Old 07-29-02, 03:12 AM   #4
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default

Perhaps the old gcc is left somewhere else on your system. (That happens sometimes for backwards compatibility)

Are you sure you are already using that new gcc 3.x? (for distributions which didn't come with 3.x they sometimes give the gcc binary another name like gcc3 or gcc-3.)

Else you need to install the old gcc.
Thunderbird is offline   Reply With Quote
Old 07-29-02, 10:46 AM   #5
DarkLLord
Registered User
 
Join Date: Jul 2002
Posts: 19
Default

you don't HAVE to

simply say

CC_MISMATCH_IGNORE=1 make

(or whatever the environment variable is called)

And if works fine

And as long as you use a gcc newer than 3.0x you are fine

I use 3.1 for EVERYTHING and it works
__________________
DarkLLord
DarkLLord is offline   Reply With Quote
Old 07-29-02, 11:10 AM   #6
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default

As I said that override option isn't good. Compiling a kernel module using a different gcc version is very bad. It really caused some strange problems for a lot of people with the NVdriver.
Thunderbird is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 08:27 AM
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
Error messages... HELP!!!! Imperito NVIDIA Linux 3 09-24-02 10:46 PM
Need help to get the X to work on my Acer TravelMate 630 knchee NVIDIA Linux 16 09-19-02 10:16 PM
gcc version3 kenrel module problems valserWater NVIDIA Linux 11 09-07-02 09:40 AM

All times are GMT -5. The time now is 07:17 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.